import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;
import java.util.*;

public class DateFilter extends HttpServlet {
  public void doGet(HttpServletRequest solicitacao,
		    HttpServletResponse resposta) 
    throws ServletException, IOException {
    PrintWriter saida = resposta.getWriter();
    String tipoDeConteudo = solicitacao.getContentType();
    if (tipoDeConteudo == null)
      return;
    resposta.setContentType(tipoDeConteudo);
    BufferedReader br = new BufferedReader(solicitacao.getReader());
    String linha = null;
    Date d = new Date();
    while ((linha = br.readLine()) != null) {
      int index;
      while ((index=linha.indexOf("<DATE>")) >= 0)
	linha = linha.substring(0,index) + d + linha.substring(index+6);
      saida.println(linha);
    }
    br.close();
  }
}
